player: make ffmpeg/libav version check non-fatal

We already enforce mpv rebuilds when ffmpeg/libav SONAME changes.

diff --git a/player/main.c b/player/main.c
index 67dde3449..696d2e716 100644
--- a/player/main.c
+++ b/player/main.c
@@ -419,13 +419,12 @@ int mp_initialize(struct MPContext *mpctx, char **options)
     if (!print_libav_versions(mp_null_log, 0)) {
         // Using mismatched libraries can be legitimate, but even then it's
         // a bad idea. We don't acknowledge its usefulness and stability.
-        print_libav_versions(mpctx->log, MSGL_FATAL);
-        MP_FATAL(mpctx, "\nmpv was compiled against a different version of "
-                 "FFmpeg/Libav than the shared\nlibrary it is linked against. "
-                 "This is most likely a broken build and could\nresult in "
-                 "misbehavior and crashes.\n\nmpv does not support this "
-                 "configuration and will not run - rebuild mpv instead.\n");
-        return -1;
+        print_libav_versions(mpctx->log, MSGL_WARN);
+        MP_WARN(mpctx, "\nmpv was compiled against a different version of "
+                "FFmpeg/Libav than the shared\nlibrary it is linked against. "
+                "This could result in misbehavior and crashes.\n\n"
+                "Upstream does not support this configuration.\n"
+                "Please rebuild mpv in case of any problems.\n");
     }

     if (opts->dump_stats && opts->dump_stats[0]) {
